Skip to main content
POST
cURL

Path Parameters

account_id
string
required

Body

application/json
refund_id
string
required

A unique value that identifies the refund and will be used as the key when making updates to refunds. Maximum 255 characters.

Required string length: 1 - 255
amount
integer
required

The refund amount, represented as a positive integer in the smallest currency unit (e.g. two-decimal currency such as $101.50 is represented as 10150, zero-decimal currency such as ¥1095 is represented as 1095). Refer to the ISO 4217 currency page for guidance.

Required range: x >= 0
currency
string
required

The currency of the refund, represented by the 3-letter ISO-4217 currency code. Must be three characters.

Required string length: 3
created
string
required

The date when the refund was initiated, represented in ISO 8601 format (e.g. 2023-09-04T16:13:05Z).

payment_method_details
object
required
refund_response
object
required
pagos_codes
object
required
transaction_id
string | null

The transaction ID of the original transaction associated with the refund. Maximum 255 characters.

Maximum string length: 255
transaction_order_id
string | null

The merchant order reference of the original transaction associated with the refund. Maximum 255 characters.

Maximum string length: 255
additional_data
object | null

Response

201 - undefined